String [] objBuild(Cylinder cylinder, int objectNum){
  String [] vectors = new String[cylinder.polys.length*2];
  for(int i = 0; i < cylinder.polys.length; i+=1){
    vectors[i*2] = "v "+str(cylinder.polys[i].v[0].x)+" "+str(cylinder.polys[i].v[0].y)+" "+str(cylinder.polys[i].v[0].z);
    vectors[(i*2)+1] = "v "+str(cylinder.polys[i].v[1].x)+" "+str(cylinder.polys[i].v[1].y)+" "+str(cylinder.polys[i].v[1].z);
  }
  String [] faces = new String[6];
  for(int i = 0; i < faces.length; i++){
    int step = i*4;
    int add = objectNum * 8;
    faces[i] = "f "+str(boxFace[step]+add)+" "+str(boxFace[step+1]+add)+" "+str(boxFace[step+2]+add)+" "+str(boxFace[step+3]+add);
  }
  String newline = "";
  String name = "g Box"+nf(objectNum+1,4);
  String [] returnable = {
    ""  };
  returnable = concat(returnable, vectors);
  returnable = append(returnable, newline);
  returnable = append(returnable, name);
  returnable = concat(returnable, faces);
  returnable = append(returnable, newline);
  returnable = append(returnable, "g");
  return returnable;
}
void saveObjects(String fileName){
  String [] file = {
    ""  };
  int objectCount = 0;
  for(int i = 0; i < path.length; i++)
    if(path[i].active)
      for(int j = 0; j < cylinders[i].length; j++)
        file = concat(file, objBuild(cylinders[i][j],(objectCount++)));
  saveStrings(fileName,file);
  println("file:"+fileName+" saved");
  println("saved "+(objectCount-1)+" objects");
}
