class VectorPath{
  int [] x,y,z;
  int c,xNow,yNow,zNow;
  boolean active;
  VectorPath(int c){
    z = new int[1];
    y = new int[1];
    x = new int[1];
    this.c = c;
    active = false;
  }
  void addVector(int addX, int addY, int addZ){
    if(addX > -1 && addY > -1 && addZ > -1){
      x = append(x, addX);
      y = append(y, addY);
      z = append(z, addZ);
    }
    else{
      x = append(x, x[x.length-1]);
      y = append(y, y[y.length-1]);
      z = append(z, z[z.length-1]);
    }
  }
  void track(int thisX, int thisY, int thisZ){
    if(thisX > 0 && thisY > -1 && thisZ > -1){
      xNow = thisX;
      yNow = thisY;
      zNow = thisZ;
    }
  }
  void draw(){
    if(active){
      stroke(c);
      fill(c);
      for (int i = 2; i < z.length; i++){
        if(x[i] > -1 && x[i-1] > -1 && x[i] > -1 && x[i-1] > -1 && z[i] > -1 && z[i-1] > -1){
          line(x[i-1]-xc, y[i-1]-yc, z[i-1]-zc, x[i]-xc, y[i]-yc, z[i]-zc);
        }
      }
      noStroke();
      pushMatrix();
      translate(xNow-xc,yNow-yc,zNow-yc);
      sphere(10);
      popMatrix();
    }
  }
  void cut(){
    x = append(x, -1);
    y = append(y, -1);
    z = append(z, -1);
  }
}
