void mousePressed(){
  int choice = -1;
  for (int i = 0; i < button.length; i++){
    if(button[i].over()){
      choice = i;
    }
  }
  switch(choice){
  case 0:
  case 1:
  case 2:
  case 3:
  case 4:
  case 5:
    path[choice].active = !path[choice].active;
    button[choice].label = label[choice]+": "+path[choice].active;
    if(!path[choice].active) path[choice].cut();
    break;
  case 6:
    record = !record;
    button[choice].label = "record: "+record;
    if(!record)
      for(int i = 0; i < path.length; i++)
        if(path[i].active) path[i].cut();
    break;
  case 7:
    for(int i = 0; i < path.length; i++){
      path[i] = new VectorPath(cols[i]);
      button[i].label = label[i]+": "+path[i].active;
    }
    break;
  case 8:
    sim = !sim;
    button[choice].label = "simulate: "+sim;
    break;
  case 9:
    for(int i = 0; i < path.length; i++)
    if(path[i].active)
    shellPath(i);
    break;
  case 10:
    showShell = !showShell;
    button[choice].label = "show shell: "+showShell;
    break;
  case 11:
    saveObjects("obj.obj");
    break;
  default:
    arcball.mousePressed();
  break;
  }
}
void keyPressed(){
  switch(key){
  case '+':
  case '=':
    zoom -= 5;
    break;
  case '-':
  case '_':
    zoom += 5;
    break;
  case 'x':
  case 'X':
    arcball.axis = 0;
    break;
  case 'y':
  case 'Y':
    arcball.axis = 1;
    break;
  case 'Z':
  case 'z':
    arcball.axis = 2;
    break;
  }
}
void mouseDragged()
{
  arcball.mouseDragged();
}
void keyReleased()
{
    arcball.axis = -1;
}
